Objects.ToStringHelper
Date: 2016-05-24

com.google.common.base

## Class Objects.ToStringHelper

- java.lang.Object
- - com.google.common.base.Objects.ToStringHelper

- Enclosing class:
    Objects

  Deprecated.
  Use `MoreObjects.ToStringHelper` instead. This class is scheduled for removal in June 2016.

      @Deprecated
      public static final class Objects.ToStringHelper
      extends java.lang.Object

  Support class for `Objects.toStringHelper(java.lang.Object)`.
  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Objects.ToStringHelper` | `add(java.lang.String name, boolean value)` Deprecated. Adds a name/value pair to the formatted output in `name=value` format.
    `Objects.ToStringHelper` | `add(java.lang.String name, char value)` Deprecated. Adds a name/value pair to the formatted output in `name=value` format.
    `Objects.ToStringHelper` | `add(java.lang.String name, double value)` Deprecated. Adds a name/value pair to the formatted output in `name=value` format.
    `Objects.ToStringHelper` | `add(java.lang.String name, float value)` Deprecated. Adds a name/value pair to the formatted output in `name=value` format.
    `Objects.ToStringHelper` | `add(java.lang.String name, int value)` Deprecated. Adds a name/value pair to the formatted output in `name=value` format.
    `Objects.ToStringHelper` | `add(java.lang.String name, long value)` Deprecated. Adds a name/value pair to the formatted output in `name=value` format.
    `Objects.ToStringHelper` | `add(java.lang.String name, java.lang.Object value)` Deprecated. Adds a name/value pair to the formatted output in `name=value` format.
    `Objects.ToStringHelper` | `addValue(boolean value)` Deprecated. Adds an unnamed value to the formatted output.
    `Objects.ToStringHelper` | `addValue(char value)` Deprecated. Adds an unnamed value to the formatted output.
    `Objects.ToStringHelper` | `addValue(double value)` Deprecated. Adds an unnamed value to the formatted output.
    `Objects.ToStringHelper` | `addValue(float value)` Deprecated. Adds an unnamed value to the formatted output.
    `Objects.ToStringHelper` | `addValue(int value)` Deprecated. Adds an unnamed value to the formatted output.
    `Objects.ToStringHelper` | `addValue(long value)` Deprecated. Adds an unnamed value to the formatted output.
    `Objects.ToStringHelper` | `addValue(java.lang.Object value)` Deprecated. Adds an unnamed value to the formatted output.
    `Objects.ToStringHelper` | `omitNullValues()` Deprecated. Configures the `Objects.ToStringHelper` so `toString()` will ignore properties with null value.
    `java.lang.String` | `toString()` Deprecated. Returns a string in the format specified by `Objects.toStringHelper(Object)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### omitNullValues

          public Objects.ToStringHelper omitNullValues()

      Deprecated.
      Configures the `Objects.ToStringHelper` so `toString()` will ignore properties with null value. The order of calling this method, relative to the `add()`/`addValue()` methods, is not significant.
      Since:
        12.0

    - #### add

          public Objects.ToStringHelper add(java.lang.String name,
                                   @Nullable
                                   java.lang.Object value)

      Deprecated.
      Adds a name/value pair to the formatted output in `name=value` format. If `value` is `null`, the string `"null"` is used, unless `omitNullValues()` is called, in which case this name/value pair will not be added.

    - #### add

          public Objects.ToStringHelper add(java.lang.String name,
                                   boolean value)

      Deprecated.
      Adds a name/value pair to the formatted output in `name=value` format.
      Since:
        11.0 (source-compatible since 2.0)

    - #### add

          public Objects.ToStringHelper add(java.lang.String name,
                                   char value)

      Deprecated.
      Adds a name/value pair to the formatted output in `name=value` format.
      Since:
        11.0 (source-compatible since 2.0)

    - #### add

          public Objects.ToStringHelper add(java.lang.String name,
                                   double value)

      Deprecated.
      Adds a name/value pair to the formatted output in `name=value` format.
      Since:
        11.0 (source-compatible since 2.0)

    - #### add

          public Objects.ToStringHelper add(java.lang.String name,
                                   float value)

      Deprecated.
      Adds a name/value pair to the formatted output in `name=value` format.
      Since:
        11.0 (source-compatible since 2.0)

    - #### add

          public Objects.ToStringHelper add(java.lang.String name,
                                   int value)

      Deprecated.
      Adds a name/value pair to the formatted output in `name=value` format.
      Since:
        11.0 (source-compatible since 2.0)

    - #### add

          public Objects.ToStringHelper add(java.lang.String name,
                                   long value)

      Deprecated.
      Adds a name/value pair to the formatted output in `name=value` format.
      Since:
        11.0 (source-compatible since 2.0)

    - #### addValue

          public Objects.ToStringHelper addValue(@Nullable
                                        java.lang.Object value)

      Deprecated.
      Adds an unnamed value to the formatted output.

      It is strongly encouraged to use `add(String, Object)` instead and give value a readable name.

    - #### addValue

          public Objects.ToStringHelper addValue(boolean value)

      Deprecated.
      Adds an unnamed value to the formatted output.

      It is strongly encouraged to use `add(String, boolean)` instead and give value a readable name.

      Since:
        11.0 (source-compatible since 2.0)

    - #### addValue

          public Objects.ToStringHelper addValue(char value)

      Deprecated.
      Adds an unnamed value to the formatted output.

      It is strongly encouraged to use `add(String, char)` instead and give value a readable name.

      Since:
        11.0 (source-compatible since 2.0)

    - #### addValue

          public Objects.ToStringHelper addValue(double value)

      Deprecated.
      Adds an unnamed value to the formatted output.

      It is strongly encouraged to use `add(String, double)` instead and give value a readable name.

      Since:
        11.0 (source-compatible since 2.0)

    - #### addValue

          public Objects.ToStringHelper addValue(float value)

      Deprecated.
      Adds an unnamed value to the formatted output.

      It is strongly encouraged to use `add(String, float)` instead and give value a readable name.

      Since:
        11.0 (source-compatible since 2.0)

    - #### addValue

          public Objects.ToStringHelper addValue(int value)

      Deprecated.
      Adds an unnamed value to the formatted output.

      It is strongly encouraged to use `add(String, int)` instead and give value a readable name.

      Since:
        11.0 (source-compatible since 2.0)

    - #### addValue

          public Objects.ToStringHelper addValue(long value)

      Deprecated.
      Adds an unnamed value to the formatted output.

      It is strongly encouraged to use `add(String, long)` instead and give value a readable name.

      Since:
        11.0 (source-compatible since 2.0)

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Returns a string in the format specified by `Objects.toStringHelper(Object)`.

      After calling this method, you can keep adding more properties to later call toString() again and get a more complete representation of the same object; but properties cannot be removed, so this only allows limited reuse of the helper instance. The helper allows duplication of properties (multiple name/value pairs with the same name can be added).

      Overrides:
        `toString` in class `java.lang.Object`